function outL = gmm_segmentation(I,inL,kmeans_params)
% GMM_SEGMENTATION segment image using independent GMM classifiers.
%
% Synopsis:
%   outL = gmm_segmentation(I,inL,kmeans_params)
%
% Input:
%  I [H x W x 3 (uint8)] RGB image of size H x W pixels.
%  inL [H x W (uint8)] Partial image annotation:
%    0 .. pixel not annotated
%    1 .. pixel assigned label 1
%    2 .. pixel assigned label 2
%
% kmeans_params: structure with fields 
% kmeans_params.K: number of clusters to use (both for foreground 
%     and background)
% kmeans_params.maxiter: max number of iterations of K-means
%
% Output:
%  outL [H x W] Complete image segmentation. Each pixel must be 
%    either 1 or  2.
%

% placeholder only such that it outputs some labeling. You will
% want to replace this by the correct solution:

outL = (rand(size(inL))> 0.5)+1;
  
return;
